import request from '@/utils/request'

/**
 * 查询用户列表
 * @param {*} data 
 * private Long companyId;
 * private String account;
 * private String nickname;
 * private String phone;
 * private Boolean enabled;
 * @returns 
 * 
 */
export function getAdminList(data) {
    return request({
        url: '/erp/user/admin/list',
        method: 'POST',
        data
    })
}

/**
 * 绑定公司
 * @param {*} params 
 * @returns 
 */
export function bindCommany(params) {
    let { userId, data } = params
    return request({
        url: `/erp/user/admin/configUserCompany/${userId}`,
        method: 'PUT',
        data
    })
}
